function smoothed=smoothitf1d(data,xsmw);
%

nx=length(data);

b=zeros(nx,1);
for ix=1:nx
  b(ix)=exp(-(ix-(floor(nx/2)+1))^2/(2*xsmw^2));
end
norm=sum(sum(b));
b=b/norm;
smoothed=conv(data,b)';

% make the output the same length as the input..
smoothed=smoothed(floor(nx/2):(3*floor(nx/2)-1));
